Subject: RE: "ipv6 site-local" (was [Isis-wg] ISIS agenda ... )

From: "Manral, Vishwas" <[email-masked]>
Date: Thu, 7 Nov 2002 01:01:45 -0500

Hi Naiming,

I wouldn't like to start the site local discussion here, there is a very
active discussion going on on the IPng list on this topic itself.

However one of the advantages I remember reading on the list are for long
lived TCP connections/renumbering etc.

Thanks,
Vishwas

-----Original Message-----
From: Naiming Shen [mailto:[email-masked]]
Sent: Thursday, November 07, 2002 11:21 AM
To: Manral, Vishwas
Cc: 'Naiming Shen'; Chris Hopps; 'RJ Atkinson'; [email-masked]'
Subject: Re: "ipv6 site-local" (was [Isis-wg] ISIS agenda ... ) 

basically, the message was: "we _will_ have to define this".

i fail to see how can a "site-local" address be useful. if it
is useful, then IPv4 is really the one which needs to have "site-local"
addresses in order to further conserve the limited address space.
maybe ietf should carve the 10.255/16 block as the IPv4 "site-local"
addresses and introduce another layer of routing concept for protocols.

 ] Hi,
 ] 
 ] I had asked Margaret a similar question some time back. The reply from
her
 ] atached below.
 ] 
 ] Thanks,
 ] Vishwas
 ] 
 ] -----Original Message-----
 ] From: Margaret Wasserman [mailto:[email-masked]]
 ] Sent: Tuesday, October 29, 2002 11:42 PM
 ] To: Manral, Vishwas
 ] Subject: RE: Limiting the Use of Site-Local
 ] 
 ] 
 ] 
 ] Hi Vishwas,
 ] 
 ] 
 ] >Do you think we should state how sites should be mapped to a routing
 ] domain?
 ] 
 ] Yes.  If we are going to use site-local addresses on globally
 ] connected networks (which implies site borders), we _will_ have
 ] to define this.
 ] 
 ] There are some general rules that we can state -- a site should
 ] map to an area, etc.  But, we may also need specific changes to
 ] the IPv6 versions of the routing protocols to make sure that site-
 ] local addresses won't be propagated incorrectly.
 ] 
 ] Margaret
 ] 
 ] 
 ] -----Original Message-----
 ] From: Naiming Shen [mailto:[email-masked]]
 ] Sent: Thursday, November 07, 2002 7:29 AM
 ] To: Chris Hopps
 ] Cc: 'RJ Atkinson'; [email-masked]'
 ] Subject: Re: "ipv6 site-local" (was [Isis-wg] ISIS agenda ... ) 
 ] 
 ] 
 ] 
 ] I was in the last ietf, and get the feeling people are worried
 ] about no one really thinking about site-local issues and how to
 ] fit this into the routing area. But just to mention it in a draft
 ] does not solve problems. This also applys to ipv6 link-local addresses,
 ] ipv6 anycast addresses, etc. We probably should not have sections
 ] for each type of those ipv6 addresses, then saying nothing really
 ] need changing to them. For the current draft, they are all just
 ] "IPV6" addresses. If we think just mentioning them will ease the
 ] concern on this part, then I'm fine also.
 ] 
 ]  ] A couple different hallway conversations occurred mostly with Margaret
 ]  ] Wasserman, Alex, Bill and I.
 ]  ] 
 ]  ] Basically I was asked whether I had dealt with site-locals, and
 ] multi-sites.
 ]  ] I said no, and I didn't think we should retro-fit routing protocols to
 ]  ] handle these newer concepts. The protocols can be deployed in such a
way
 ] as
 ]  ] to deal with them if need be.
 ]  ] 
 ]  ] And thus you have my "no modification" text. I haven't followed the
 ] reported
 ]  ] flame-fest that occurred over site-locals; however, it is my
 ] understanding
 ]  ] that the "more operations oriented" people will find nothing wrong
with
 ] my
 ]  ] text.
 ]  ] 
 ]  ] Thanks,
 ]  ] Chris.
 ]  ] 
 ]  ] -----Original Message-----
 ]  ] From: RJ Atkinson [mailto:[email-masked]]
 ]  ] Sent: Wednesday, November 06, 2002 10:01 AM
 ]  ] To: Chris Hopps
 ]  ] Cc: [email-masked]'
 ]  ] Subject: Re: "ipv6 site-local" (was [Isis-wg] ISIS agenda ... )
 ]  ] 
 ]  ] 
 ]  ] 
 ]  ] On Wednesday, Nov 6, 2002, at 11:52 America/Montreal, Chris Hopps
wrote:
 ]  ] > I put this section in at the request of the IPv6 folks,
 ]  ] 
 ]  ] WHICH IPv6 folks ?  There are at least 2 sets to choose from.
 ]  ] IPng WG has VERY different perspective on site-locals than IPv6 OPS
WG,
 ]  ] the latter contains more folks who run real networks (as near as I can

 ]  ] tell).
 ]  ] 
 ]  ] Ran
 ]  ] _______________________________________________
 ]  ] Isis-wg mailing list
 ]  ] [email-masked]
 ]  ] https://www1.ietf.org/mailman/listinfo/isis-wg
 ] 
 ] - Naiming
 ] _______________________________________________
 ] Isis-wg mailing list
 ] [email-masked]
 ] https://www1.ietf.org/mailman/listinfo/isis-wg

- Naiming
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: Tony Przygienda <[email-masked]>
Date: Thu, 07 Nov 2002 12:16:56 +0100

>lived TCP connections/renumbering etc.

After having monitored this IPv6 discussion for a while, I wanted to 
bring the horses back
a little. For a  good spec it is as important not to say things as it is 
to say them. Unless
we have a MUST or MUST NOT (or SHOULD for optionals), mostly there is no 
reason
to ruminate on things (with notable exception of security).

Chris added :

7.  Site-local Addressing

   No protocol modifications are made to support IPv6 site-local
   addressing.  If the operator does not restrict level 1 to level 2
   route redistribution of a site-local prefix then the scope of the
   prefix will be the IS-IS routing domain. Conversely, if the operator
   chooses to restrict level 1 to level 2 redistribution of the site-
   local prefix then the scope of site-local prefix will be the
   originating level 1 area.

Well, ultimately this is not adding any value to this draft, we're 
saying we're not saying
anything or rather saying things about stuff that is not our business.
We are not in business to tell people how they can hang themselves or how
they have to configure the protocol to make their deployments work. We 
are in the
business of specifying bits of wires that will make implementations 
interoperate.

I concurr with Naiming and my last comment would be to nuke this section 
unless IPv6
people come up with things they want as normative MUSTs (which means 
they have
a thorough understanding of what they want) or just leave this nonsense
section as it is and get the document into 'another' last call.  

    thanks
 
    -- tony